# Class: GeneConstraintLZ

## LocusZoom_Adapters~GeneConstraintLZ()

Retrieve Gene Constraint Data, as fetched from the gnomAD server (or compatible graphQL api endpoint)

This is intended to be the second request in a chain, with special logic that connects it to Genes data already fetched. It assumes that the genes data is returned from the UM API, and thus the logic involves matching on specific assumptions about `gene_name` format.

## Constructor

#### new GeneConstraintLZ()

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`config.url` | string |  | The base URL for the remote data
`config.build` |  | <optional> | The genome build to use May be overridden by a global parameter `plot.state.genome_build` so that all datasets can be fetched for the appropriate build in a consistent way.

Source:
  - data/adapters.js, line 367
See:
  - module:LocusZoom_Adapters~BaseUMAdapter

### Methods

#### _normalizeResponse()

The gnomAD API has a very complex internal data format. Bypass any record parsing or transform steps.

Source:
  - data/adapters.js, line 431